function main_response(data, status, xhr) {
    // Обработка ответов

    if (data !== undefined) {
        // Получены данные с сервера

        // Основной блок
        if (data.main !== undefined) {
            // Инициализация
            main = document.getElementsByTagName('main')[0];

            // Обновление документа
            main.innerHTML = data.main;

            // Реинициализация
            reinitialization(main);
        };

        // Заголовок
        if (data.title !== undefined) {
            // Запись
            document.title = data.title;
        };

        // Перенаправление
        if (data.redirect !== undefined) {
            // Перенаправление
            history.pushState({}, document.title, data.redirect);
        };

        // CSRF-токен
        if (data._csrf !== undefined) {
            // Обновление документа
            $('meta[name=csrf-token]').prop("content", data._csrf);
        };
    };
};

var page_loaded_for_history = window.history.state;

window.addEventListener('popstate', function() {
    if (page_loaded_for_history) {

        console.log('сработало');
        window.location.reload();
    };
}, false);
