<?php

declare(strict_types=1);

use yii;

$this->title = 'SkillParts';
?>

<link href="/css/ticker.css" rel="stylesheet">

<div id="page_index" class="mb-auto">
    <section class="info_panel mb-4 unselectable">
        <div class="container h-100 d-flex flex-column justify-content-center">
            <h1 class="mb-4 ml-0 gilroy">Проблема с подбором запчастей?</h1>
            <p class="ml-0 d-flex">
                <span class="p-2 px-3 button_call_icon d-flex"><i class="fas fa-phone-alt my-auto text-white"></i></span>
                <a class="btn text-white button_clean button_blue button_call" href="/call" role="button">Связаться с менеджером</a>
            </p>
        </div>
        <div class="h-100 d-flex flex-column justify-content-end">
            <img class="img-fluid" src="/img/photos/compressed/963K_cutted.webp" alt="Связаться с менеджером">
        </div>
    </section>

    <section class="h-100 d-flex ticker unselectable">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/cummins.png" alt="Cummins">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/iveco.png" alt="Iveco">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/komatsu.png" alt="Komatsu">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/case.png" alt="Case">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/isuzu.png" alt="Isuzu">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/new_holland.png" alt="New Holland">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/perkins.png" alt="Perkins">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/john_deere.png" alt="John Deere">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/caterpillar.png" alt="Caterpillar">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/shantui.png" alt="Shantui">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/xcmg.png" alt="XCMG">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/kobelco.png" alt="Kobelco">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/shehwa.png" alt="SHEHWA">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/bomag.png" alt="BOMAG">
        <img class="w-auto h-100 mr-3 my-auto" src="/img/logos/h32px/compressed/hitachi.png" alt="Hitachi">
    </section>

    <section class="container mb-4">
        <div class="row mb-5 mb-md-0 px-3 px-md-0 unselectable">
            <div class="col-12 col-md-6 col-lg-4 mb-4 mb-lg-0 py-0 d-flex flex-column">
                <div class="px-3 px-xl-4 pt-3 d-inline-block category_block_title">
                    <h4 class="m-0">Масла, смазки</h4>
                </div>
                <div class="p-3 px-md-4 category_block">
                    <dl class="mb-0">
                        <dd><a onclick="return writeInDevelopment(this);" type="button">Масла моторные</a></dd>
                        <dd><a onclick="return writeInDevelopment(this);" type="button">Масла трансмиссионные</a></dd>
                        <dd><a onclick="return writeInDevelopment(this);" type="button">Масла гидравлические</a></dd>
                        <dd><a onclick="return writeInDevelopment(this);" type="button">Смазки</a></dd>
                    </dl>
                </div>
            </div>
            <div class="col-12 col-md-6 col-lg-4 mb-4 mb-lg-0 py-0 d-flex flex-column">
                <div class="px-3 px-xl-4 pt-3 d-inline-block category_block_title">
                    <h4 class="m-0">Электрооборудование</h4>
                </div>
                <div class="p-3 px-md-4 category_block">
                    <dl class="mb-0">
                        <dd><a onclick="return writeInDevelopment(this);" type="button">Фары и свет</a></dd>
                    </dl>
                </div>
            </div>
            <div class="col-12 col-md-6 col-lg-4 mb-4 mb-lg-0 py-0 d-flex flex-column">
                <div class="px-3 px-xl-4 pt-3 d-inline-block category_block_title">
                    <h4 class="m-0">Инструмент</h4>
                </div>
                <div class="p-3 px-md-4 category_block">
                    <dl class="mb-0">
                        <dd><a onclick="return writeInDevelopment(this);" type="button">Шприцы для смазки</a></dd>
                        <dd><a onclick="return writeInDevelopment(this);" type="button">Ключи, съёмники</a></dd>
                        <dd><a onclick="return writeInDevelopment(this);" type="button">Наборы инструментов</a></dd>
                    </dl>
                </div>
            </div>
        </div>
    </section>
</div>

<script src="/js/ticker.js" defer></script>
<script src="/js/text.js" defer></script>
