function page_main() {
    if (document.getElementById('page_index') === null) {
        url = '/';

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: menu_success,
            error: menu_error
        });
    };

    return false;
};

function page_profile() {
    if (document.getElementById('page_profile') === null) {
        url = '/profile'

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: menu_success,
            error: menu_error
        });
    };

    return false;
};

function page_cart() {
    if (document.getElementById('page_cart') === null) {
        url = '/cart'

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: menu_success,
            error: menu_error
        });
    };

    return false;
};

function page_orders() {
    if (document.getElementById('page_orders') === null) {
        url = '/orders'

        $.ajax({
            url: url,
            type: 'post',
            dataType: 'json',
            data: { '_csrf': yii.getCsrfToken() },
            success: menu_success,
            error: menu_error
        });
    };

    return false;
};

function menu_auth_panel_show(panel) {
    if (panel !== undefined) {
        // Необходимые данные переданы

        // Отображение панели
        panel.classList.remove('d-none');

        // Возможность скрыть панель при клике вне её
        function menu_auth_panel_hide_handler(event) {
            if (panel.contains(event.target)) {
                // Событие произошло по панели или элементов внутри неё

                return true;
            } else {
                // Событие произошло вне панели

                // Скрыть панель
                return menu_auth_panel_hide(panel);
            };
        };

        // Запись обработчика события
        document.addEventListener('mousedown', menu_auth_panel_hide_handler);

        return false;
    };

    return true;
};


function menu_auth_panel_hide(panel) {
    if (panel !== undefined) {
        // Необходимые данные переданы

        // Скрытие панели
        panel.classList.add('d-none');

        return false;
    };

    return true;
};

function menu_responce(data, status, xhr) {
    // Обработка ответов

    main_response(data, status, xhr);
};

function menu_success(data, status, xhr) {
    // Обработка ответов от удавшихся запросов

    menu_responce(data, status, xhr);
};

function menu_error(data, status, xhr) {
    // Обработка ответов от неудавшихся запросов

    // Инициализация
    data = data.responseJSON;

    menu_responce(data, status, xhr);
};
